Bug 36278 - Latest kernel-2.2.19-7.0.1 update does not provide kernel-source rpm
Latest kernel-2.2.19-7.0.1 update does not provide kernel-source rpm
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-17 09:20 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-17 11:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-17 09:20:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.1enterprise i686)

Failing to provide kernel-source package breaks usage of NVIDIA drivers and
VMWARE usage as both need to create kernel modules applicable to the
running kernel.  Without source from the kernel build, modules fail.

Reproducible: Always
Steps to Reproduce:
1.Upgrade all kernel packages via up2date to 2.2.19-7.0.1
2.Notice up2date does not provide kernel-source
3.Notice that updates.redhat.com lists only kernel-source-2.2.17
4.Panic when NVIDIA drivers for X4.0 fail due to broken kernel module
5.Panic when VMWARE fails due to broken kernel module

Actual Results:  System fails to load XWindows until you init 3 and back
down to the nv driver that came with XFree86.  VMWARE fails to run at all.

Expected Results:  Should have been able to rerun the module rebuilds for
above software after rebooting to 2.2.19.
Comment 1 Arjan van de Ven 2001-04-17 09:38:26 EDT
This was a temporary glitch and should be fixed.
Comment 2 Ivan Martinez 2001-04-17 11:38:46 EDT
Any expected time frame to correct this ? 
My PCMCIA network card driver must be compiled, and after upgrading the kernel I
found that kernel-source package is missing.
But congratulations for the upgrade made by up2date. linux.bak works fine for
running the old version of kernel.
Comment 3 Bill Nottingham 2001-04-17 14:15:03 EDT
The files are on the FTP site now.

Note You need to log in before you can comment on or make changes to this bug.